<?xml version="1.0" encoding="utf-8" standalone="no" ?>

<GUI onOpen="onOpen" onClose="onClose" onCreate="onCreate">
    <GuiElement type="empty" profile="newLayer" />
    <GuiElement type="bitmap" profile="dialogFullscreenBg" />

    <GuiElement debugEnabled="false" type="bitmap" profile="dialogBg" size="1100px 700px" id="dialogElement">
        <GuiElement type="bitmap" profile="headerBoxDocked" size="510px 40px">
            <GuiElement type="text" profile="headerText" textOffset="0px 4px" text="$l10n_shop_configuration" id="dialogTitleElement"/>
        </GuiElement>

        <GuiElement type="empty" profile="serverDetailListItem" size="440px 160px" position="-290px 40px" screenAlign="bottomCenter" positionOrigin="bottomCenter">
            <GuiElement type="text" profile="shopMultiTextOptionTitle" text="$l10n_setting_helpWindow:" position="2px 14px" />
            <GuiElement type="text" profile="textDefault" text="" id="helpWindowText" size="420px 140px" position="10px -10px" screenAlign="topLeft" positionOrigin="topLeft" textWrapWidth="400px"/>
        </GuiElement>

        <GuiElement type="empty" profile="baseReference" size="1100px 700px" id="standardScreen" >
            <GuiElement type="empty" profile="serverDetailListItem" size="440px 400px" position="-290px -40px" screenAlign="topCenter" positionOrigin="topCenter">
                <GuiElement type="bitmap" profile="baseReference" size="360px 360px" position="40px 40px" imageUVs="0 0 1 1" id="storageAreaImage" />
            </GuiElement>

            <GuiElement type="empty" profile="serverDetailListItem" size="540px 400px" position="-40px -440px" screenAlign="topRight" positionOrigin="bottomRight">

                <GuiElement type="empty" profile="baseReference" size="500px 48px" position="20px 334px" >
                    <GuiElement type="text" profile="shopMultiTextOptionTitle" text="" id="availableHeader" position="10px -34px" textSize="24px"/>
                    <GuiElement type="text" profile="textDefault" screenAlign="middleRight" positionOrigin="middleRight" textSize="24px" position="-20px 2px" textAlignment="right" text="0 bales" id="fillLevelText"/>
                    <GuiElement type="bitmap" profile="lineSeparator" position="0px -62px" size="500px 1dp" screenAlign="topCenter" positionOrigin="topCenter"/>
                </GuiElement>

                <GuiElement type="empty" profile="baseReference" size="500px 48px" position="20px 256px" >
                    <GuiElement type="text" profile="shopMultiTextOptionTitle" text="" id="capacityHeader" position="10px -34px" textSize="24px"/>
                    <GuiElement type="text" profile="textDefault" screenAlign="middleRight" positionOrigin="middleRight" textSize="24px" position="-20px 2px" textAlignment="right" text="0 bales" id="capacityText"/>
                    <GuiElement type="bitmap" profile="lineSeparator" position="0px -62px" size="500px 1dp" screenAlign="topCenter" positionOrigin="topCenter"/>
                </GuiElement>

                <GuiElement type="empty" profile="baseReference" size="500px 48px" position="20px 178px" >
                    <GuiElement type="text" profile="shopMultiTextOptionTitle" text="" id="nextLevelHeader" position="10px -34px" textSize="24px"/>
                    <GuiElement type="text" profile="textDefault" screenAlign="middleRight" positionOrigin="middleRight" textSize="24px" position="-20px 2px" textAlignment="right" text="0 litres" id="nextObjectFillLevelText"/>
                    <GuiElement type="bitmap" profile="lineSeparator" position="0px -62px" size="500px 1dp" screenAlign="topCenter" positionOrigin="topCenter"/>
                </GuiElement>

                <GuiElement type="empty" profile="baseReference" size="500px 48px" position="20px 100px" >
                    <GuiElement type="text" profile="shopMultiTextOptionTitle" text="" id="totalLevelHeader" position="10px -34px" textSize="24px"/>
                    <GuiElement type="text" profile="textDefault" screenAlign="middleRight" positionOrigin="middleRight" textSize="24px" position="-20px 2px" textAlignment="right" text="0 litres" id="loseFillLevelText"/>
                    <GuiElement type="bitmap" profile="lineSeparator" position="0px -62px" size="500px 1dp" screenAlign="topCenter" positionOrigin="topCenter"/>
                </GuiElement>

                <GuiElement type="empty" profile="baseReference" size="500px 48px" position="20px 22px" >
                    <GuiElement type="text" profile="shopMultiTextOptionTitle" text="" id="fermentingHeader" position="10px -34px" textSize="24px"/>
                    <GuiElement type="text" profile="textDefault" screenAlign="middleRight" positionOrigin="middleRight" textSize="24px" position="-20px 2px" textAlignment="right" text="N / A" id="numberFermentingText"/>
                </GuiElement>
            </GuiElement>
        </GuiElement>

        <GuiElement type="empty" profile="serverDetailListItem" size="1020px 400px" position="0px -40px" screenAlign="topCenter" positionOrigin="topCenter" id="fermentingScreen" >
            <GuiElement type="bitmap" profile="lineSeparator" position="-28px 0px" size="1dp 400px" screenAlign="bottomRight" positionOrigin="bottomRight"/>
            <GuiElement type="bitmap" profile="lineSeparator" position="0px -52px" size="991px 1dp" screenAlign="topLeft" positionOrigin="topLeft"/>

            <GuiElement type="text" profile="shopMultiTextOptionTitle" text="#" textSize="20px" position="-430px -14px" textAlignment="center" screenAlign="topCenter" positionOrigin="topCenter"/>
            <GuiElement type="bitmap" profile="lineSeparator" position="-350px 0px" size="1dp 400px" screenAlign="topCenter" positionOrigin="topCenter"/>
            <GuiElement type="text" profile="shopMultiTextOptionTitle" text="%" textSize="20px" position="-274px -14px" textAlignment="center" screenAlign="topCenter" positionOrigin="topCenter"/>
            <GuiElement type="bitmap" profile="lineSeparator" position="-200px 0px" size="1dp 400px" screenAlign="topCenter" positionOrigin="topCenter"/>
            <GuiElement type="text" profile="shopMultiTextOptionTitle" text="$l10n_ui_pendingMissionTimeLeftTitle" textSize="20px" position="-40px -14px" textAlignment="center" screenAlign="topCenter" positionOrigin="topCenter"/>
            <GuiElement type="bitmap" profile="lineSeparator" position="130px 0px" size="1dp 400px" screenAlign="topCenter" positionOrigin="topCenter"/>
            <GuiElement type="text" profile="shopMultiTextOptionTitle" text="$l10n_statistic_fillType" textSize="20px" position="305px -14px" textAlignment="center" screenAlign="topCenter" positionOrigin="topCenter"/>

            <GuiElement debugEnabled="false" type="list" profile="baseReference" id="fermentingList" position="1px -2px" size="990px 348px" listItemHeight="43px" itemsPerCol="8" isHorizontalList="false" >
                <GuiElement type="listItem" profile="baseReference" id="listItemTemplate" size="990px 43px" imageColor="0.118 0.116 0.115 0.20" allowSelected="false">
                    <GuiElement type="text" profile="textDefault" textSize="17px" textMaxWidth="100px" text="1" position="-420px -12px" textAlignment="center" screenAlign="topCenter" positionOrigin="topCenter" onCreate="onCreateBale" />
                    <GuiElement type="text" profile="textDefault" textSize="17px" textMaxWidth="100px" text="100" position="-264px -12px" textAlignment="center" screenAlign="topCenter" positionOrigin="topCenter" onCreate="onCreatePercent" />
                    <GuiElement type="text" profile="textDefault" textSize="17px" textMaxWidth="300px" text="--:-- h" position="-30px -12px" textAlignment="center" screenAlign="topCenter" positionOrigin="topCenter" onCreate="onCreateTime" />
                    <GuiElement type="text" profile="textDefault" textSize="17px" textMaxWidth="310px" text="Unknown" position="320px -12px" textAlignment="center" screenAlign="topCenter" positionOrigin="topCenter" onCreate="onCreateFillType" />
                </GuiElement>
            </GuiElement>

            <GuiElement type="bitmap" profile="verticalGlassListSliderBackground" size="28px 398px" screenAlign="bottomRight" positionOrigin="bottomRight">
                <GuiElement type="slider" profile="verticalGlassListSlider" size="16px 386px" dataElementId="fermentingList" handleFocus="false"/>
            </GuiElement>
        </GuiElement>

        <GuiElement type="text" profile="shopMultiTextOptionTitle" position="520px 214px" text="" id="numToSpawnHeader" screenAlign="bottomLeft"/>
            <GuiElement type="multiTextOption" profile="multiTextOptionSettings" position="-40px 152px" size="540px 48px" screenAlign="bottomRight" positionOrigin="bottomRight" onClick="onClickNumberToSpawn" id="setNumberToSpawn" focusInit="onOpen">
            <GuiElement type="button" profile="multiTextOptionLeft"/>
            <GuiElement type="button" profile="multiTextOptionRight"/>
            <GuiElement type="text"   profile="multiTextOptionText" textMaxWidth="400px" />
            <GuiElement type="bitmap" profile="multiTextOptionBg" size="444px 48px" />
        </GuiElement>

        <GuiElement type="text" profile="shopMultiTextOptionTitle" position="520px 104px" screenAlign="bottomLeft" text="" id="storageAreaHeader"/>
        <GuiElement type="multiTextOption" profile="multiTextOptionSettings" position="-40px 40px" size="540px 48px" screenAlign="bottomRight" positionOrigin="bottomRight" onClick="onClickStorageAreaSelection" id="setStorageArea" >
            <GuiElement type="button" profile="multiTextOptionLeft"/>
            <GuiElement type="button" profile="multiTextOptionRight"/>
            <GuiElement type="text"   profile="multiTextOptionText" textMaxWidth="400px"/>
            <GuiElement type="bitmap" profile="multiTextOptionBg" size="444px 48px"/>
        </GuiElement>

        <GuiElement type="flowLayout" profile="buttonBoxDialog" id="buttonsPC">
            <GuiElement type="button" profile="buttonOK" text="$l10n_button_confirm" onClick="onClickOk" id="yesButton"/>
            <GuiElement type="button" profile="buttonBack" text="$l10n_button_back" onClick="onClickBack" id="noButton"/>
            <GuiElement type="button" profile="buttonActivate" text="$l10n_info_fermenting" onClick="onClickActivate" id="fermentingButton"/>
        </GuiElement>
    </GuiElement>
</GUI>
